Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.buffer
Class ExplicitFoldHandler

    java.lang.Object
      org.gjt.sp.jedit.buffer.FoldHandler
          org.gjt.sp.jedit.buffer.ExplicitFoldHandler

public class ExplicitFoldHandler
extends FoldHandler

A fold handler that folds lines based on markers ("{{{" and "}}}") embedded in the text.

Since:
  jEdit 4.0pre1
Version:
  $Id: ExplicitFoldHandler.java,v 1.8 2003/11/18 20:51:57 spestov Exp $
Author:
  Slava Pestov

Field Summary

Fields inherited from class org.gjt.sp.jedit.buffer.FoldHandler
`SERVICE`

Constructor Summary
`ExplicitFoldHandler()`

Method Summary
`int` | `getFoldLevel(Buffer buffer, int lineIndex, javax.swing.text.Segment seg)` Returns the fold level of the specified line.

Methods inherited from class org.gjt.sp.jedit.buffer.FoldHandler
`equals, getFoldHandler, getFoldHandlers, getFoldModes, getName, hashCode, registerFoldHandler, toString, unregisterFoldHandler`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExplicitFoldHandler

    public ExplicitFoldHandler()

Method Detail

### getFoldLevel

    public int getFoldLevel(Buffer buffer,
                            int lineIndex,
                            javax.swing.text.Segment seg)

  Returns the fold level of the specified line.

  Specified by:
    `getFoldLevel` in class `FoldHandler`
  Parameters:
    `buffer` - The buffer in question
    `lineIndex` - The line index
    `seg` - A segment the fold handler can use to obtain any text from the buffer, if necessary
  Returns:
    The fold level of the specified line
  Since:
    jEdit 4.0pre1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD